package com.ejie.aa21b.model;

/**
 * Aa21b05s01  
 * 
 *  
 */

public class Aa21b05s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer cdocu05;
	private String ddocu05;
	private String edocu05;
	private String situ05;
	private String bloq05;
	private String usub05;

	/**
	 * Method 'Aa21b05s01'.
	 */
	public Aa21b05s01() {
	}

	/**
	 * Method 'Aa21b05s01'.
	 * 
	 * @param cdocu05
	 *            Integer
	 */
	public Aa21b05s01(Integer cdocu05) {
		this.cdocu05 = cdocu05;
	}

	/**
	 * Method 'Aa21b05s01'.
	 * 
	 * @param cdocu05
	 *            Integer
	 * @param ddocu05
	 *            String
	 * @param edocu05
	 *            String
	 * @param situ05
	 *            String
	 * @param usub05
	 *            String
	 */
	public Aa21b05s01(Integer cdocu05, String ddocu05, String edocu05,
			String situ05, String usub05) {

		this.cdocu05 = cdocu05;
		this.ddocu05 = ddocu05;
		this.edocu05 = edocu05;
		this.situ05 = situ05;
		this.usub05 = usub05;
	}

	/**
	 * Method 'getCdocu05'.
	 * 
	 * @return Integer
	 */

	public Integer getCdocu05() {
		return this.cdocu05;
	}

	/**
	 * Method 'setCdocu05'.
	 * 
	 * @param cdocu05
	 *            Integer
	 * @return
	 */

	public void setCdocu05(Integer cdocu05) {
		this.cdocu05 = cdocu05;
	}

	/**
	 * Method 'getDdocu05'.
	 * 
	 * @return String
	 */

	public String getDdocu05() {
		return this.ddocu05;
	}

	/**
	 * Method 'setDdocu05'.
	 * 
	 * @param ddocu05
	 *            String
	 * @return
	 */

	public void setDdocu05(String ddocu05) {
		this.ddocu05 = ddocu05;
	}

	/**
	 * Method 'getEdocu05'.
	 * 
	 * @return String
	 */

	public String getEdocu05() {
		return this.edocu05;
	}

	/**
	 * Method 'setEdocu05'.
	 * 
	 * @param edocu05
	 *            String
	 * @return
	 */

	public void setEdocu05(String edocu05) {
		this.edocu05 = edocu05;
	}

	/**
	 * Method 'getSitu05'.
	 * 
	 * @return String
	 */

	public String getSitu05() {
		return this.situ05;
	}

	/**
	 * Method 'setSitu05'.
	 * 
	 * @param situ05
	 *            String
	 * @return
	 */

	public void setSitu05(String situ05) {
		this.situ05 = situ05;
	}

	/**
	 * Method 'getBloq05'.
	 * 
	 * @return String
	 */
	public String getBloq05() {
		return bloq05;
	}

	/**
	 * Method 'setBloq05'.
	 * 
	 * @param bloq05
	 *            String
	 * @return
	 */
	public void setBloq05(String bloq05) {
		this.bloq05 = bloq05;
	}

	/**
	 * Method 'getUsub05'.
	 * 
	 * @return String
	 */
	public String getUsub05() {
		return usub05;
	}

	/**
	 * Method 'setUsub05'.
	 * 
	 * @param usub05
	 *            String
	 * @return
	 */
	public void setUsub05(String usub05) {
		this.usub05 = usub05;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ cdocu05: ").append(this.cdocu05).append(" ]");
		result.append(", [ ddocu05: ").append(this.ddocu05).append(" ]");
		result.append(", [ edocu05: ").append(this.edocu05).append(" ]");
		result.append(", [ situ05: ").append(this.situ05).append(" ]");
		result.append(", [ bloq05: ").append(this.bloq05).append(" ]");
		result.append(", [ usub05: ").append(this.usub05).append(" ]");
		result.append("}");
		return result.toString();
	}

}
